Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Body

application/json

Request body to create ITAD requests

inventoryIds
string<uuid>[]
required

List of inventory IDs to include in the ITAD request(s). Items will be grouped by warehouse.

Minimum array length: 1
createdById
string<uuid>
required

ID of the person creating the request (must belong to the organization)

Example:

"ecb7e933-de1e-9830-b180-b25d1d0d296e"

Response

ITAD requests created successfully

id
string<uuid>
required

Unique request ID

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

status
enum<string>
required

Current request status

Available options:
PENDING_DATA_DESTRUCTION,
REQUIRES_ACTION,
AWAITING_RECHECK,
PENDING_SETTLEMENT,
COMPLETED,
CANCELLED
Example:

"PENDING_DATA_DESTRUCTION"

submittedVia
enum<string>
required

How the request was submitted

Available options:
ASSETS_PAGE,
ITAD_CENTER,
RETURN
Example:

"ITAD_CENTER"

createdByActor
enum<string>
required

Actor who created the request

Available options:
CUSTOMER,
OPS
Example:

"CUSTOMER"

createdAt
string<date-time>

Timestamp when the request was created

completedAt
string<date-time>

Timestamp when the request was completed

cancelledAt
string<date-time>

Timestamp when the request was cancelled

totalEstimatedResaleValue
number

Total estimated resale value of all items

Example:

2500

totalResaleValue
number

Total actual resale value of all items

Example:

2300

warehouseId
string<uuid>

ID of the warehouse

Example:

"ecb7e933-de1e-9830-b180-b25d1d0d296e"

warehouseName
string

Name of the warehouse

Example:

"US East Warehouse"

organizationId
string<uuid>

ID of the organization

Example:

"ecb7e933-de1e-9830-b180-b25d1d0d296e"

organizationName
string

Name of the organization

Example:

"Acme Corp"

createdById
string<uuid>

ID of the person who created the request

Example:

"ecb7e933-de1e-9830-b180-b25d1d0d296e"

createdByName
string

Name of the person who created the request

Example:

"John Doe"

lotCodDocumentId
string<uuid>

Lot Certificate of Destruction document ID

lotCodUploadedAt
string<date-time>

Timestamp when the lot CoD was uploaded

settlementReportDocumentId
string<uuid>

Settlement report document ID

settlementReportGeneratedAt
string<date-time>

Timestamp when the settlement report was generated

parentItadRequestId
string<uuid>

Parent ITAD request ID for multi-warehouse bulk submissions

items
object[]

Items in this request (included in detail responses only)